# -*- coding: utf-8 -*-
from yt.wrapper import ypath_join


DEFAULT_TAG = 'CRYPTA STABILITY'
DEFAULT_KEY = 'external_id'
API_EVENTS_TABLE = '//home/x-products/production/partners_data/score_api_audience/events'
TMP_FOLDER = '//tmp'

CRYPTA_DB_Q = '//home/x-products/production/crypta_v2/crypta_db_quarantine'
HASH_PHONE_TO_CID_Q = ypath_join(CRYPTA_DB_Q, 'phone_id_value_to_cid')
HASH_EMAIL_TO_CID_Q = ypath_join(CRYPTA_DB_Q, 'email_id_value_to_cid')
YUID_TO_CID_Q = ypath_join(CRYPTA_DB_Q, 'yuid_to_cid')
CID2ALL_Q = ypath_join(CRYPTA_DB_Q, 'cid_to_all')

CRYPTA_DB_LAST = '//home/x-products/production/crypta_v2/crypta_db_last'
HASH_PHONE_TO_CID_LAST = ypath_join(CRYPTA_DB_LAST, 'phone_id_value_to_cid')
HASH_EMAIL_TO_CID_LAST = ypath_join(CRYPTA_DB_LAST, 'email_id_value_to_cid')
YUID_TO_CID_LAST = ypath_join(CRYPTA_DB_LAST, 'yuid_to_cid')
CID2ALL_LAST = ypath_join(CRYPTA_DB_LAST, 'cid_to_all')

AGGREGATES_FOLDER = '//home/x-products/production/datacloud/stability/crypta_stability/aggregates'
UNIQUE_CIDS_Q = ypath_join(AGGREGATES_FOLDER, 'unique_cids_q')
UNIQUE_CIDS_LAST = ypath_join(AGGREGATES_FOLDER, 'unique_cids_last')

SOLOMON_PROJECT = 'datacloud'
SOLOMON_CLUSTER = 'crypta'
API_SERVICE = 'api-requests-hit'
CIDS_SERVICE = 'cids-fluctuation'
MEAN_SERVICE = 'mean-id-values'
SHARE_SERVICE = 'share-id-values'

PARTNERS_TO_EXCLUDE = ('internal', 'partner_a', 'partner_b', 'partner_c')
